%define name qmc2
%define version 0.2.b12
%define release %mkrel 1

Summary: M.A.M.E. Catalog / Launcher II
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Group: Emulators
License: GPL
URL: http://sourceforge.net/projects/qmc2/
BuildRequires: qt4-devel
BuildRoot: %_tmppath/%{name}-build
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version

%description
QMC2 is a Qt 4 based UNIX MAME frontend supporting both XMAME and SDLMAME.
This package is compiled for use with SDLMAME.


%prep
%setup -q -n %{name}

%build
%make \
 QTDIR=%{_prefix}/%{_lib}/qt4 \
 PREFIX=%{_prefix} \
 DEBUG=1 \
 SDLMAME=1

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall \
 PREFIX=%{_prefix} \
 DESTDIR=%{buildroot} \
 QTDIR=%{_prefix}/%{_lib}/qt4


# menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}-sdlmame.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=QMC2 (SDLMAME)
Comment=SDLMAME front end
Exec=qmc2-sdlmame
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;Emulator;X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF


# install icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir}
install -m 0644 data/img/classic/mame.png %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16 %{buildroot}%_miconsdir/%{name}.png 
install -m 0644 data/img/classic/mame.png %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48 %{buildroot}%_liconsdir/%{name}.png
mkdir -p %{buildroot}%_datadir/pixmaps
install -m 0644 data/img/classic/mame.png %{buildroot}%_datadir/pixmaps/%{name}.png
convert %{buildroot}%_datadir/pixmaps/%{name}.png -resize 48 %{buildroot}%_datadir/pixmaps/%{name}.png



%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/qmc2-sdlmame
%{_bindir}/runonce
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.ini
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}-sdlmame.desktop

%changelog
* Sun Nov 15 2009 slick50 <lxgator@gmail.com> 0.2.b12-1pclos2010
- 0.2.b12

* Mon Jul 30 2007 Torbjorn Turpeinen <tobbe@djura.org> 0.1.b10-2
- Rebuilt for pclos

* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 0.1.b10-1plf2008.0
- New release

* Tue May 15 2007 Guillaume Bedot <littletux@zarb.org> 0.1.b9-1plf2008.0
- First package for PLF
